
From: Anton Blanchard <anton@samba.org>

A few small fixes:

- Check for the model property before using it. Also check for the
  correct property name for nighthawk.
- Check for the existence of freeze-time-base before using it to
  synchronize timebases instead of making it conditional on !LPAR

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/pSeries_smp.c |    3 +--
 25-akpm/arch/ppc64/mm/hash_native.c     |    2 +-
 2 files changed, 2 insertions(+), 3 deletions(-)

diff -puN arch/ppc64/kernel/pSeries_smp.c~ppc64-small-of-fixes arch/ppc64/kernel/pSeries_smp.c
--- 25/arch/ppc64/kernel/pSeries_smp.c~ppc64-small-of-fixes	2004-11-09 21:44:19.993334736 -0800
+++ 25-akpm/arch/ppc64/kernel/pSeries_smp.c	2004-11-09 21:44:20.000333672 -0800
@@ -382,12 +382,11 @@ void __init smp_init_pSeries(void)
 		vpa_init(boot_cpuid);
 
 	/* Non-lpar has additional take/give timebase */
-	if (systemcfg->platform == PLATFORM_PSERIES) {
+	if (rtas_token("freeze-time-base") != RTAS_UNKNOWN_SERVICE) {
 		smp_ops->give_timebase = pSeries_give_timebase;
 		smp_ops->take_timebase = pSeries_take_timebase;
 	}
 
-
 	DBG(" <- smp_init_pSeries()\n");
 }
 
diff -puN arch/ppc64/mm/hash_native.c~ppc64-small-of-fixes arch/ppc64/mm/hash_native.c
--- 25/arch/ppc64/mm/hash_native.c~ppc64-small-of-fixes	2004-11-09 21:44:19.995334432 -0800
+++ 25-akpm/arch/ppc64/mm/hash_native.c	2004-11-09 21:44:19.999333824 -0800
@@ -405,7 +405,7 @@ void hpte_init_native(void)
 	root = of_find_node_by_path("/");
 	if (root) {
 		model = get_property(root, "model", NULL);
-		if (!strcmp(model, "CHRP IBM,9076-N81")) {
+		if (model && !strcmp(model, "IBM,9076-N81")) {
 			of_node_put(root);
 			goto bail;
 		}
_
